> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/network-connections/get-both-local-ids-and-discoverable-remote-ids",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get both local IDs and discoverable remote IDs

> Retrieves a list of all local and discoverable remote network IDs. Can be filtered.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /network_ids/search
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /network_ids/search:
    get:
      tags:
        - Network connections
      summary: Get both local IDs and discoverable remote IDs
      description: >
        Retrieves a list of all local and discoverable remote network IDs. Can
        be filtered.
      operationId: searchNetworkIds
      parameters:
        - name: search
          required: false
          in: query
          description: Search string - displayName networkId. Optional
          schema:
            type: string
            minLength: 1
        - name: excludeSelf
          required: false
          in: query
          description: Exclude your networkIds. Optional, default false
          schema:
            type: boolean
        - name: onlySelf
          required: false
          in: query
          description: Include just your networkIds. Optional, default false
          schema:
            type: boolean
        - name: excludeConnected
          required: false
          in: query
          description: Exclude connected networkIds. Optional, default false
          schema:
            type: boolean
        - name: pageCursor
          required: false
          in: query
          description: ID of the record after which to fetch $limit records
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Number of records to fetch. By default, it is 50
          schema:
            minimum: 1
            maximum: 50
            default: 50
            type: number
      responses:
        '200':
          description: A list of network IDs
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchNetworkIdsResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<SearchNetworkIdsResponse>> =
            fireblocks.networkConnections.searchNetworkIds(networkConnectionsApiSearchNetworkIdsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<SearchNetworkIdsResponse>> response =
            fireblocks.networkConnections().searchNetworkIds(search,
            excludeSelf, onlySelf, excludeConnected, pageCursor, pageSize);
        - lang: Python
          source: >-
            response = fireblocks.network_connections.search_network_ids(search,
            exclude_self, only_self, exclude_connected, page_cursor, page_size);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    SearchNetworkIdsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/NetworkIdResponse'
        next:
          type: string
    NetworkIdResponse:
      type: object
      properties:
        routingPolicy:
          $ref: '#/components/schemas/NetworkIdRoutingPolicy'
        isDiscoverable:
          type: boolean
          description: The specific network is discoverable.
        id:
          type: string
          description: The specific network id
        name:
          type: string
          description: The specific network name
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    NetworkIdRoutingPolicy:
      type: object
      additionalProperties:
        oneOf:
          - $ref: '#/components/schemas/CustomRoutingDest'
          - $ref: '#/components/schemas/NoneNetworkRoutingDest'
    CustomRoutingDest:
      type: object
      properties:
        scheme:
          description: The network routing logic.
          type: string
          enum:
            - CUSTOM
        dstType:
          type: string
          description: The account the funds are being sent to.
          enum:
            - FIAT_ACCOUNT
            - VAULT
            - EXCHANGE
        dstId:
          type: string
          description: The ID of the account the funds are being sent to.
      required:
        - scheme
        - dstType
        - dstId
    NoneNetworkRoutingDest:
      type: object
      properties:
        scheme:
          type: string
          description: No network routing logic.
          enum:
            - NONE
      required:
        - scheme
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````